#CCD CcdLab Setup Mode File - 20041123 Peter Moore
# Attribute Name  = Value   #Comments
## Preamble - Kill the sequencer run flag if set
mcbseqEnable=0
#
## Bring the Boards online with teh system clocks
mcbBkplnSlct=0   # for a 6 slot backplane
clkClkEnbl=1     # Enable clock board System clock
acqClkEnbl_A00=1     # Enable acquistion board System clock Array00 slot3
acqClkEnbl_A01=1     # Enable acquistion board System clock Array01 slot4
acqClkEnbl_A10=1     # Enable acquistion board System clock Array10 slot5
acqClkEnbl_A11=1     # Enable acquistion board System clock Array11 slot6
# clkClkPort=0     # Write zero to clock register to enable board
#
## Reset the boards to condition them
resetClk=1       # Reset the clock board
resetCcd_A00=1       # Reset the CCD acquisition boardArray00 slot3
resetCcd_A01=1       # Reset the CCD acquisition boardArray01 slot4
resetCcd_A10=1       # Reset the CCD acquisition boardArray10 slot5
resetCcd_A11=1       # Reset the CCD acquisition boardArray11 slot6
#
## Disable the clock and bias outputs
clkClkPort=0     # Write zero to clock register to enable board
clkOutputEnblReg=0
ccdOutputEnblReg_A00=0Array00 slot3
ccdOutputEnblReg_A01=0Array01 slot4
ccdOutputEnblReg_A10=0Array10 slot5
ccdOutputEnblReg_A11=0Array11 slot6
#
## Reset the debug counters
mcbPixSent=0
clkP1MuxSlct=31  # Setup to look at the CLEAR routine marker 
clkP2MuxSlct=30  # Setup to look at the ROW XFER routine marker
clkD5LedCntrl=1  # Switch off the lights ...
#
## Setup some software defaults
arrayID=EEV42-80
arrayType=sta-ota
mosaicRows=2
mosaicCols=2
xPreScan=50     # 50 prescan in x 
xPostScan=50    # 50 postscan in x
yPostScan=50    # 50 post scan
numOutputs=8    # 2 output channels
outputCfg=0     # Setup for AB output 
pxlRows=4160
pxlCols=4160
xStart[0]=1
yStart[0]=1
xStart[1]=1
yStart[1]=1
xStart[2]=1
yStart[2]=1
xStart[3]=1
yStart[3]=1
finDataType=32   # DHS_UINT four bytes 32 bits
frmsPerRdOut=1   # number of readout for one simple exposure
captureMode=1    # capture mode 0=NORMAL, 1=SEP, 2=BLOCKREAD
expMode=0        # mode of the exposure
processMode=0    # Processing mode 0=SEP 1=Add_F1toF2
expVector=1      # Clear+Readout=1, 2=Clear only, 4=Readoutonly
asyncVector=0    # Currently not used.
rawPxlSize=4     # number of Bytes in a raw pixel value
finPxlSize=4     # number of Bytes in a finished pixel value
avNameSIze=32    # Max character length of attribute name
avValueSize=32   # Max character length of attribute value
avCommentSize=64 # Max character length of attribute comment
rdOutTime[0]=200000  # 200 seconds timeout on reads
#
## Exposure Attribute setup ##
intTime=5.0      # default to 5 seconds
#
## Telemetry mode setups
CLK_TELBIASVMODE[]=0x5    # Biases, Fast biases and clocks
CLK_TELFBIASMODE[]=0x5    # have a 3:1 votage divider so
CLK_TELCLKMODE[]=0x5      # set them to +/5v range for +/15v fs telemetry.
CLK_TELBIASIMODE[]=0xD    # Current sense lines set to +/- 20ma fs 
CLK_TELSUPPLYMODE[]=0xD   # Supply telemetry has 2:1 v divider, +/- 20v fs tel
CLK_TELREFMODE[]=0x5      # Reference telemetry +/- 5v full scale
#
## Clock voltage setup
SW_A00_LowDac=-3.0
SW_A01_LowDac=-3.0 
SW_A10_LowDac=-3.0
SW_A11_LowDac=-3.0 

more clock setting needed here

## Bias voltage setups
CCD_VOFFSETS_A00[]=0.5    # Set all ADC offsets safe
CCD_VOFFSETS_A01[]=0.5    # Set all ADC offsets safe
CCD_VOFFSETS_A10[]=0.5    # Set all ADC offsets safe
CCD_VOFFSETS_A11[]=0.5    # Set all ADC offsets safe
HVBIAS_DAC_A00[]=0      # Set all HV biases to zero
HVBIAS_DAC_A01[]=0      # Set all HV biases to zero
HVBIAS_DAC_A10[]=0      # Set all HV biases to zero
HVBIAS_DAC_A11[]=0      # Set all HV biases to zero
CCD_HVBIASTELMODE_A00[]=12  # Set up the telemetry mode for +/- 30v fs
CCD_HVBIASTELMODE_A01[]=12  # Set up the telemetry mode for +/- 30v fs
CCD_HVBIASTELMODE_A10[]=12  # Set up the telemetry mode for +/- 30v fs
CCD_HVBIASTELMODE_A11[]=12  # Set up the telemetry mode for +/- 30v fs


OG_1LDac=0.0
OG_1RDac=0.0
OG_2LDac=1.0
OG_2RDac=1.0
DDDac=18.0
VRD_LDac=15.0
VRD_RDac=15.0
VOD_LDac=28.0
VOD_RDac=28.0
VSOut_LAdcCfg=4      # Gain of two for CDS
VSOut_RAdcCfg=4
VSOut_LAdcOfst=0.35  # DC offset for ADC
VSOut_RAdcOfst=0.35
#
## Initialize some of the ports
ccdCdsReg_A00=0x136   # Kill all CDS activityArray00 slot3
ccdCdsReg_A01=0x136   # Kill all CDS activityArray01 slot4
ccdCdsReg_A10=0x136   # Kill all CDS activityArray10 slot5
ccdCdsReg_A11=0x136   # Kill all CDS activityArray11 slot6
ccdDopReg_A00=0       # Write zeros to DOP portArray00 slot3
ccdDopReg_A01=0       # Write zeros to DOP portArray01 slot4
ccdDopReg_A10=0       # Write zeros to DOP portArray10 slot5
ccdDopReg_A11=0       # Write zeros to DOP portArray11 slot6
#
## Acquisition Board setup ##
ccdRedirect_A00[0]=0 
ccdRedirect_A01[0]=0 
ccdRedirect_A10[0]=0 
ccdRedirect_A11[0]=0 
ccdRedirect_A00[1]=1
ccdRedirect_A01[1]=1
ccdRedirect_A10[1]=1
ccdRedirect_A11[1]=1
ccdRedirect_A00[2]=2
ccdRedirect_A01[2]=2
ccdRedirect_A10[2]=2
ccdRedirect_A11[2]=2
ccdRedirect_A00[3]=3
ccdRedirect_A01[3]=3
ccdRedirect_A10[3]=3
ccdRedirect_A11[3]=3
ccdRedirect_A00[4]=4
ccdRedirect_A01[4]=4
ccdRedirect_A10[4]=4
ccdRedirect_A11[4]=4
ccdRedirect_A00[5]=5
ccdRedirect_A01[5]=5
ccdRedirect_A10[5]=5
ccdRedirect_A11[5]=5
ccdRedirect_A00[6]=6
ccdRedirect_A01[6]=6
ccdRedirect_A10[6]=6
ccdRedirect_A11[6]=6
ccdRedirect_A00[7]=7
ccdRedirect_A01[7]=7
ccdRedirect_A10[7]=7
ccdRedirect_A11[7]=7
ccdRedirect_A00[8]=0
ccdRedirect_A01[8]=0
ccdRedirect_A10[8]=0
ccdRedirect_A11[8]=0
ccdRedirect_A00[9]=0
ccdRedirect_A01[9]=0
ccdRedirect_A10[9]=0
ccdRedirect_A11[9]=0
ccdRedirect_A00[10]=0
ccdRedirect_A01[10]=0
ccdRedirect_A10[10]=0
ccdRedirect_A11[10]=0
ccdRedirect_A00[11]=0
ccdRedirect_A01[11]=0
ccdRedirect_A10[11]=0
ccdRedirect_A11[11]=0
ccdRedirect_A00[12]=0
ccdRedirect_A01[12]=0
ccdRedirect_A10[12]=0
ccdRedirect_A11[12]=0
ccdRedirect_A00[13]=0
ccdRedirect_A01[13]=0
ccdRedirect_A10[13]=0
ccdRedirect_A11[13]=0
ccdRedirect_A00[14]=0
ccdRedirect_A01[14]=0
ccdRedirect_A10[14]=0
ccdRedirect_A11[14]=0
ccdXfrCount_A00=2     # Two pixels to xfer for each CTC
ccdXfrCount_A01=2     # Two pixels to xfer for each CTC
ccdXfrCount_A10=2     # Two pixels to xfer for each CTC
ccdXfrCount_A11=2     # Two pixels to xfer for each CTC
ccdDataWidth_A00=3    # Select 18 bit data mode
ccdDataWidth_A01=3    # Select 18 bit data mode
ccdDataWidth_A10=3    # Select 18 bit data mode
ccdDataWidth_A11=3    # Select 18 bit data mode
ccdAdcMode_A00=0      # Slow mode (i.e data xfer after conversion)
ccdAdcMode_A01=0      # Slow mode (i.e data xfer after conversion)
ccdAdcMode_A10=0      # Slow mode (i.e data xfer after conversion)
ccdAdcMode_A11=0      # Slow mode (i.e data xfer after conversion)
ccdPipePriority_A00=0 # Only one acquisition board so highest priority
ccdPipePriority_A01=1 # Only one acquisition board so highest priority
ccdPipePriority_A10=2 # Only one acquisition board so highest priority
ccdPipePriority_A11=3 # Only one acquisition board so highest priority
ccdPipeEnbl_A00=1     # Enable pipeline data writes
ccdPipeEnbl_A01=1     # Enable pipeline data writes
ccdPipeEnbl_A10=1     # Enable pipeline data writes
ccdPipeEnbl_A11=1     # Enable pipeline data writes
#
## Sequencer attributes
rows=4146  # 4096 rows + 50 post
cols=1124  # (2048 image cols / 2 outputs) + 50 pre + 50 post
rowBin=1
colBin=1
rowSkip=0
colSkip=0
rstTime=10
dwellTime=10
holdTime=5
waitTime=10
tstCtcCount=0x8000
tstCtcPeriod=0x2f
mpuSeqClkDiv=0
contRun=0
#
## Setup the voltages and enable to array
clkClockEnbl=1      # Enable the clock signals to the detector
ccdHVBiasEn0_A00=1      # We're only using bank zero biases
ccdHVBiasEn0_A01=1      # We're only using bank zero biases
ccdHVBiasEn0_A10=1      # We're only using bank zero biases
ccdHVBiasEn0_A11=1      # We're only using bank zero biases
ccdHVBiasEn1_A00=0      # So switch on the hv biases
ccdHVBiasEn1_A01=0      # So switch on the hv biases
ccdHVBiasEn1_A10=0      # So switch on the hv biases
ccdHVBiasEn1_A11=0      # So switch on the hv biases
ccdCdsEnbl_A00=1        # Enable the CDS function
ccdCdsEnbl_A01=1        # Enable the CDS function
ccdCdsEnbl_A10=1        # Enable the CDS function
ccdCdsEnbl_A11=1        # Enable the CDS function
ccdCpldLedEnable_A00=1  # Switch off the pesky led
ccdCpldLedEnable_A01=1  # Switch off the pesky led
ccdCpldLedEnable_A10=1  # Switch off the pesky led
ccdCpldLedEnable_A11=1  # Switch off the pesky led
clkBiasEnbl0=0      # No biases used from Clock
clkBiasEnbl1=0
clkFBiasEnbl=0
#
## Diagnostics ...
mcbMpuSeqBusReq=1   # Led on mcb for sequencer bus req
clkBrdSel=1         # Led on CLK for board access
ccdBrdSel_A00=1         # Ditto for CCD board
ccdBrdSel_A01=1         # Ditto for CCD board
ccdBrdSel_A10=1         # Ditto for CCD board
ccdBrdSel_A11=1         # Ditto for CCD board
# mcbseqEnable= 1   # start sequencer
